package com.goldenwater.slgc.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slgc.domain.AttRudABase;
import com.goldenwater.slgc.mapper.AttRudABaseMapper;
import com.goldenwater.slgc.service.RudaService;

/** 涵洞信息 业务实现 */
@Service
public class RudaServiceImpl implements RudaService {
    @Autowired
    private AttRudABaseMapper attRudABaseMapper;

    @Override
    public List<AttRudABase> selectAttRudABaseList(AttRudABase attRudABase) {
        return attRudABaseMapper.selectAttRudABaseList(attRudABase);
    }

    @Override
    public AttRudABase selectAttRudABaseById(String rudaCode) {
        return attRudABaseMapper.selectAttRudABaseById(rudaCode);
    }

    @Override
    public int deleteAttRudABaseByIds(String[] rudaCodes) {
        return attRudABaseMapper.deleteAttRudABaseByIds(rudaCodes);
    }

    @Override
    public int insertAttRudABase(AttRudABase attRudABase) {
        return attRudABaseMapper.insertAttRudABase(attRudABase);
    }

    @Override
    public int updateAttRudABase(AttRudABase attRudABase) {
        return attRudABaseMapper.updateAttRudABase(attRudABase);
    }
}
